#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private EKEDAL.EKETools[] cacheEKETools;

		
		public EKEDAL.EKETools EKETools(int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			return EKETools(Input, emaPeriod, emaLineColor, emaLineType, enableEMA, tickCounterXOffset, tickCounterYOffset, tickCounterFontSize, tickCounterFontColor, enableTickCounter, showATR, aTRPeriod, aTRInTicks, showBarInterval, showDataLag, dataLagFontSize, dataLagFontBold, dataLagWarningThreshold, dataLagAlertThreshold, dataLagWarningColor, dataLagAlertColor, selectedTypes, showDrawingToolsMenu, showEKEChannel, showEKERange, showEKEMeasuredMove, showEKEKeyLevel, showEKETrendLine, showEKEArrowUp, showEKEArrowDown, showEKERuler, showBidAskLines, bidLineColor, askLineColor, lineThickness, lineWidth, enableSessionBackground, startSession, endSession, sessionBackgroundColor, offSessionBackgroundColor, aTRFontSize, aTRFontBold, enableMouseWheelZoom, enableRightClickPanning, enableBarSizeDisplay, barSizeXOffset, barSizeYOffset, barSizeFontSize, barSizeFontColor, enablePrevBarSizeDisplay, prevBarSizeXOffset, prevBarSizeYOffset, prevBarSizeFontSize, prevBarSizeFontColor, enableTargetLines, target1Ticks, target2Ticks, targetLineLength, targetLineType, targetLineThickness, longTargetColor, shortTargetColor, showEKEAlarm, showAlertPopup, sendEmailOnAlarm, shareServiceName, recipientEmail, enableMarketOpenLine, marketOpenTime, marketOpenLineColor, marketOpenLineType, marketOpenLineThickness, enableCustomTimePositionLine, customTime, customTimeLineColor, customTimeLineType, customTimeLineThickness);
		}


		
		public EKEDAL.EKETools EKETools(ISeries<double> input, int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			if (cacheEKETools != null)
				for (int idx = 0; idx < cacheEKETools.Length; idx++)
					if (cacheEKETools[idx].EmaPeriod == emaPeriod && cacheEKETools[idx].EmaLineColor == emaLineColor && cacheEKETools[idx].EmaLineType == emaLineType && cacheEKETools[idx].EnableEMA == enableEMA && cacheEKETools[idx].TickCounterXOffset == tickCounterXOffset && cacheEKETools[idx].TickCounterYOffset == tickCounterYOffset && cacheEKETools[idx].TickCounterFontSize == tickCounterFontSize && cacheEKETools[idx].TickCounterFontColor == tickCounterFontColor && cacheEKETools[idx].EnableTickCounter == enableTickCounter && cacheEKETools[idx].ShowATR == showATR && cacheEKETools[idx].ATRPeriod == aTRPeriod && cacheEKETools[idx].ATRInTicks == aTRInTicks && cacheEKETools[idx].ShowBarInterval == showBarInterval && cacheEKETools[idx].ShowDataLag == showDataLag && cacheEKETools[idx].DataLagFontSize == dataLagFontSize && cacheEKETools[idx].DataLagFontBold == dataLagFontBold && cacheEKETools[idx].DataLagWarningThreshold == dataLagWarningThreshold && cacheEKETools[idx].DataLagAlertThreshold == dataLagAlertThreshold && cacheEKETools[idx].DataLagWarningColor == dataLagWarningColor && cacheEKETools[idx].DataLagAlertColor == dataLagAlertColor && cacheEKETools[idx].SelectedTypes == selectedTypes && cacheEKETools[idx].ShowDrawingToolsMenu == showDrawingToolsMenu && cacheEKETools[idx].ShowEKEChannel == showEKEChannel && cacheEKETools[idx].ShowEKERange == showEKERange && cacheEKETools[idx].ShowEKEMeasuredMove == showEKEMeasuredMove && cacheEKETools[idx].ShowEKEKeyLevel == showEKEKeyLevel && cacheEKETools[idx].ShowEKETrendLine == showEKETrendLine && cacheEKETools[idx].ShowEKEArrowUp == showEKEArrowUp && cacheEKETools[idx].ShowEKEArrowDown == showEKEArrowDown && cacheEKETools[idx].ShowEKERuler == showEKERuler && cacheEKETools[idx].ShowBidAskLines == showBidAskLines && cacheEKETools[idx].BidLineColor == bidLineColor && cacheEKETools[idx].AskLineColor == askLineColor && cacheEKETools[idx].LineThickness == lineThickness && cacheEKETools[idx].LineWidth == lineWidth && cacheEKETools[idx].EnableSessionBackground == enableSessionBackground && cacheEKETools[idx].StartSession == startSession && cacheEKETools[idx].EndSession == endSession && cacheEKETools[idx].SessionBackgroundColor == sessionBackgroundColor && cacheEKETools[idx].OffSessionBackgroundColor == offSessionBackgroundColor && cacheEKETools[idx].ATRFontSize == aTRFontSize && cacheEKETools[idx].ATRFontBold == aTRFontBold && cacheEKETools[idx].EnableMouseWheelZoom == enableMouseWheelZoom && cacheEKETools[idx].EnableRightClickPanning == enableRightClickPanning && cacheEKETools[idx].EnableBarSizeDisplay == enableBarSizeDisplay && cacheEKETools[idx].BarSizeXOffset == barSizeXOffset && cacheEKETools[idx].BarSizeYOffset == barSizeYOffset && cacheEKETools[idx].BarSizeFontSize == barSizeFontSize && cacheEKETools[idx].BarSizeFontColor == barSizeFontColor && cacheEKETools[idx].EnablePrevBarSizeDisplay == enablePrevBarSizeDisplay && cacheEKETools[idx].PrevBarSizeXOffset == prevBarSizeXOffset && cacheEKETools[idx].PrevBarSizeYOffset == prevBarSizeYOffset && cacheEKETools[idx].PrevBarSizeFontSize == prevBarSizeFontSize && cacheEKETools[idx].PrevBarSizeFontColor == prevBarSizeFontColor && cacheEKETools[idx].EnableTargetLines == enableTargetLines && cacheEKETools[idx].Target1Ticks == target1Ticks && cacheEKETools[idx].Target2Ticks == target2Ticks && cacheEKETools[idx].TargetLineLength == targetLineLength && cacheEKETools[idx].TargetLineType == targetLineType && cacheEKETools[idx].TargetLineThickness == targetLineThickness && cacheEKETools[idx].LongTargetColor == longTargetColor && cacheEKETools[idx].ShortTargetColor == shortTargetColor && cacheEKETools[idx].ShowEKEAlarm == showEKEAlarm && cacheEKETools[idx].ShowAlertPopup == showAlertPopup && cacheEKETools[idx].SendEmailOnAlarm == sendEmailOnAlarm && cacheEKETools[idx].ShareServiceName == shareServiceName && cacheEKETools[idx].RecipientEmail == recipientEmail && cacheEKETools[idx].EnableMarketOpenLine == enableMarketOpenLine && cacheEKETools[idx].MarketOpenTime == marketOpenTime && cacheEKETools[idx].MarketOpenLineColor == marketOpenLineColor && cacheEKETools[idx].MarketOpenLineType == marketOpenLineType && cacheEKETools[idx].MarketOpenLineThickness == marketOpenLineThickness && cacheEKETools[idx].EnableCustomTimePositionLine == enableCustomTimePositionLine && cacheEKETools[idx].CustomTime == customTime && cacheEKETools[idx].CustomTimeLineColor == customTimeLineColor && cacheEKETools[idx].CustomTimeLineType == customTimeLineType && cacheEKETools[idx].CustomTimeLineThickness == customTimeLineThickness && cacheEKETools[idx].EqualsInput(input))
						return cacheEKETools[idx];
			return CacheIndicator<EKEDAL.EKETools>(new EKEDAL.EKETools(){ EmaPeriod = emaPeriod, EmaLineColor = emaLineColor, EmaLineType = emaLineType, EnableEMA = enableEMA, TickCounterXOffset = tickCounterXOffset, TickCounterYOffset = tickCounterYOffset, TickCounterFontSize = tickCounterFontSize, TickCounterFontColor = tickCounterFontColor, EnableTickCounter = enableTickCounter, ShowATR = showATR, ATRPeriod = aTRPeriod, ATRInTicks = aTRInTicks, ShowBarInterval = showBarInterval, ShowDataLag = showDataLag, DataLagFontSize = dataLagFontSize, DataLagFontBold = dataLagFontBold, DataLagWarningThreshold = dataLagWarningThreshold, DataLagAlertThreshold = dataLagAlertThreshold, DataLagWarningColor = dataLagWarningColor, DataLagAlertColor = dataLagAlertColor, SelectedTypes = selectedTypes, ShowDrawingToolsMenu = showDrawingToolsMenu, ShowEKEChannel = showEKEChannel, ShowEKERange = showEKERange, ShowEKEMeasuredMove = showEKEMeasuredMove, ShowEKEKeyLevel = showEKEKeyLevel, ShowEKETrendLine = showEKETrendLine, ShowEKEArrowUp = showEKEArrowUp, ShowEKEArrowDown = showEKEArrowDown, ShowEKERuler = showEKERuler, ShowBidAskLines = showBidAskLines, BidLineColor = bidLineColor, AskLineColor = askLineColor, LineThickness = lineThickness, LineWidth = lineWidth, EnableSessionBackground = enableSessionBackground, StartSession = startSession, EndSession = endSession, SessionBackgroundColor = sessionBackgroundColor, OffSessionBackgroundColor = offSessionBackgroundColor, ATRFontSize = aTRFontSize, ATRFontBold = aTRFontBold, EnableMouseWheelZoom = enableMouseWheelZoom, EnableRightClickPanning = enableRightClickPanning, EnableBarSizeDisplay = enableBarSizeDisplay, BarSizeXOffset = barSizeXOffset, BarSizeYOffset = barSizeYOffset, BarSizeFontSize = barSizeFontSize, BarSizeFontColor = barSizeFontColor, EnablePrevBarSizeDisplay = enablePrevBarSizeDisplay, PrevBarSizeXOffset = prevBarSizeXOffset, PrevBarSizeYOffset = prevBarSizeYOffset, PrevBarSizeFontSize = prevBarSizeFontSize, PrevBarSizeFontColor = prevBarSizeFontColor, EnableTargetLines = enableTargetLines, Target1Ticks = target1Ticks, Target2Ticks = target2Ticks, TargetLineLength = targetLineLength, TargetLineType = targetLineType, TargetLineThickness = targetLineThickness, LongTargetColor = longTargetColor, ShortTargetColor = shortTargetColor, ShowEKEAlarm = showEKEAlarm, ShowAlertPopup = showAlertPopup, SendEmailOnAlarm = sendEmailOnAlarm, ShareServiceName = shareServiceName, RecipientEmail = recipientEmail, EnableMarketOpenLine = enableMarketOpenLine, MarketOpenTime = marketOpenTime, MarketOpenLineColor = marketOpenLineColor, MarketOpenLineType = marketOpenLineType, MarketOpenLineThickness = marketOpenLineThickness, EnableCustomTimePositionLine = enableCustomTimePositionLine, CustomTime = customTime, CustomTimeLineColor = customTimeLineColor, CustomTimeLineType = customTimeLineType, CustomTimeLineThickness = customTimeLineThickness }, input, ref cacheEKETools);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.EKEDAL.EKETools EKETools(int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			return indicator.EKETools(Input, emaPeriod, emaLineColor, emaLineType, enableEMA, tickCounterXOffset, tickCounterYOffset, tickCounterFontSize, tickCounterFontColor, enableTickCounter, showATR, aTRPeriod, aTRInTicks, showBarInterval, showDataLag, dataLagFontSize, dataLagFontBold, dataLagWarningThreshold, dataLagAlertThreshold, dataLagWarningColor, dataLagAlertColor, selectedTypes, showDrawingToolsMenu, showEKEChannel, showEKERange, showEKEMeasuredMove, showEKEKeyLevel, showEKETrendLine, showEKEArrowUp, showEKEArrowDown, showEKERuler, showBidAskLines, bidLineColor, askLineColor, lineThickness, lineWidth, enableSessionBackground, startSession, endSession, sessionBackgroundColor, offSessionBackgroundColor, aTRFontSize, aTRFontBold, enableMouseWheelZoom, enableRightClickPanning, enableBarSizeDisplay, barSizeXOffset, barSizeYOffset, barSizeFontSize, barSizeFontColor, enablePrevBarSizeDisplay, prevBarSizeXOffset, prevBarSizeYOffset, prevBarSizeFontSize, prevBarSizeFontColor, enableTargetLines, target1Ticks, target2Ticks, targetLineLength, targetLineType, targetLineThickness, longTargetColor, shortTargetColor, showEKEAlarm, showAlertPopup, sendEmailOnAlarm, shareServiceName, recipientEmail, enableMarketOpenLine, marketOpenTime, marketOpenLineColor, marketOpenLineType, marketOpenLineThickness, enableCustomTimePositionLine, customTime, customTimeLineColor, customTimeLineType, customTimeLineThickness);
		}


		
		public Indicators.EKEDAL.EKETools EKETools(ISeries<double> input , int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			return indicator.EKETools(input, emaPeriod, emaLineColor, emaLineType, enableEMA, tickCounterXOffset, tickCounterYOffset, tickCounterFontSize, tickCounterFontColor, enableTickCounter, showATR, aTRPeriod, aTRInTicks, showBarInterval, showDataLag, dataLagFontSize, dataLagFontBold, dataLagWarningThreshold, dataLagAlertThreshold, dataLagWarningColor, dataLagAlertColor, selectedTypes, showDrawingToolsMenu, showEKEChannel, showEKERange, showEKEMeasuredMove, showEKEKeyLevel, showEKETrendLine, showEKEArrowUp, showEKEArrowDown, showEKERuler, showBidAskLines, bidLineColor, askLineColor, lineThickness, lineWidth, enableSessionBackground, startSession, endSession, sessionBackgroundColor, offSessionBackgroundColor, aTRFontSize, aTRFontBold, enableMouseWheelZoom, enableRightClickPanning, enableBarSizeDisplay, barSizeXOffset, barSizeYOffset, barSizeFontSize, barSizeFontColor, enablePrevBarSizeDisplay, prevBarSizeXOffset, prevBarSizeYOffset, prevBarSizeFontSize, prevBarSizeFontColor, enableTargetLines, target1Ticks, target2Ticks, targetLineLength, targetLineType, targetLineThickness, longTargetColor, shortTargetColor, showEKEAlarm, showAlertPopup, sendEmailOnAlarm, shareServiceName, recipientEmail, enableMarketOpenLine, marketOpenTime, marketOpenLineColor, marketOpenLineType, marketOpenLineThickness, enableCustomTimePositionLine, customTime, customTimeLineColor, customTimeLineType, customTimeLineThickness);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.EKEDAL.EKETools EKETools(int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			return indicator.EKETools(Input, emaPeriod, emaLineColor, emaLineType, enableEMA, tickCounterXOffset, tickCounterYOffset, tickCounterFontSize, tickCounterFontColor, enableTickCounter, showATR, aTRPeriod, aTRInTicks, showBarInterval, showDataLag, dataLagFontSize, dataLagFontBold, dataLagWarningThreshold, dataLagAlertThreshold, dataLagWarningColor, dataLagAlertColor, selectedTypes, showDrawingToolsMenu, showEKEChannel, showEKERange, showEKEMeasuredMove, showEKEKeyLevel, showEKETrendLine, showEKEArrowUp, showEKEArrowDown, showEKERuler, showBidAskLines, bidLineColor, askLineColor, lineThickness, lineWidth, enableSessionBackground, startSession, endSession, sessionBackgroundColor, offSessionBackgroundColor, aTRFontSize, aTRFontBold, enableMouseWheelZoom, enableRightClickPanning, enableBarSizeDisplay, barSizeXOffset, barSizeYOffset, barSizeFontSize, barSizeFontColor, enablePrevBarSizeDisplay, prevBarSizeXOffset, prevBarSizeYOffset, prevBarSizeFontSize, prevBarSizeFontColor, enableTargetLines, target1Ticks, target2Ticks, targetLineLength, targetLineType, targetLineThickness, longTargetColor, shortTargetColor, showEKEAlarm, showAlertPopup, sendEmailOnAlarm, shareServiceName, recipientEmail, enableMarketOpenLine, marketOpenTime, marketOpenLineColor, marketOpenLineType, marketOpenLineThickness, enableCustomTimePositionLine, customTime, customTimeLineColor, customTimeLineType, customTimeLineThickness);
		}


		
		public Indicators.EKEDAL.EKETools EKETools(ISeries<double> input , int emaPeriod, System.Windows.Media.Brush emaLineColor, DashStyleHelper emaLineType, bool enableEMA, int tickCounterXOffset, int tickCounterYOffset, int tickCounterFontSize, System.Windows.Media.Brush tickCounterFontColor, bool enableTickCounter, bool showATR, int aTRPeriod, bool aTRInTicks, bool showBarInterval, bool showDataLag, int dataLagFontSize, bool dataLagFontBold, double dataLagWarningThreshold, double dataLagAlertThreshold, System.Windows.Media.Brush dataLagWarningColor, System.Windows.Media.Brush dataLagAlertColor, XElement selectedTypes, bool showDrawingToolsMenu, bool showEKEChannel, bool showEKERange, bool showEKEMeasuredMove, bool showEKEKeyLevel, bool showEKETrendLine, bool showEKEArrowUp, bool showEKEArrowDown, bool showEKERuler, bool showBidAskLines, System.Windows.Media.Brush bidLineColor, System.Windows.Media.Brush askLineColor, int lineThickness, int lineWidth, bool enableSessionBackground, TimeSpan startSession, TimeSpan endSession, System.Windows.Media.Brush sessionBackgroundColor, System.Windows.Media.Brush offSessionBackgroundColor, int aTRFontSize, bool aTRFontBold, bool enableMouseWheelZoom, bool enableRightClickPanning, bool enableBarSizeDisplay, int barSizeXOffset, int barSizeYOffset, int barSizeFontSize, System.Windows.Media.Brush barSizeFontColor, bool enablePrevBarSizeDisplay, int prevBarSizeXOffset, int prevBarSizeYOffset, int prevBarSizeFontSize, System.Windows.Media.Brush prevBarSizeFontColor, bool enableTargetLines, int target1Ticks, int target2Ticks, int targetLineLength, DashStyleHelper targetLineType, int targetLineThickness, System.Windows.Media.Brush longTargetColor, System.Windows.Media.Brush shortTargetColor, bool showEKEAlarm, bool showAlertPopup, bool sendEmailOnAlarm, string shareServiceName, string recipientEmail, bool enableMarketOpenLine, TimeSpan marketOpenTime, System.Windows.Media.Brush marketOpenLineColor, DashStyleHelper marketOpenLineType, int marketOpenLineThickness, bool enableCustomTimePositionLine, TimeSpan customTime, System.Windows.Media.Brush customTimeLineColor, DashStyleHelper customTimeLineType, int customTimeLineThickness)
		{
			return indicator.EKETools(input, emaPeriod, emaLineColor, emaLineType, enableEMA, tickCounterXOffset, tickCounterYOffset, tickCounterFontSize, tickCounterFontColor, enableTickCounter, showATR, aTRPeriod, aTRInTicks, showBarInterval, showDataLag, dataLagFontSize, dataLagFontBold, dataLagWarningThreshold, dataLagAlertThreshold, dataLagWarningColor, dataLagAlertColor, selectedTypes, showDrawingToolsMenu, showEKEChannel, showEKERange, showEKEMeasuredMove, showEKEKeyLevel, showEKETrendLine, showEKEArrowUp, showEKEArrowDown, showEKERuler, showBidAskLines, bidLineColor, askLineColor, lineThickness, lineWidth, enableSessionBackground, startSession, endSession, sessionBackgroundColor, offSessionBackgroundColor, aTRFontSize, aTRFontBold, enableMouseWheelZoom, enableRightClickPanning, enableBarSizeDisplay, barSizeXOffset, barSizeYOffset, barSizeFontSize, barSizeFontColor, enablePrevBarSizeDisplay, prevBarSizeXOffset, prevBarSizeYOffset, prevBarSizeFontSize, prevBarSizeFontColor, enableTargetLines, target1Ticks, target2Ticks, targetLineLength, targetLineType, targetLineThickness, longTargetColor, shortTargetColor, showEKEAlarm, showAlertPopup, sendEmailOnAlarm, shareServiceName, recipientEmail, enableMarketOpenLine, marketOpenTime, marketOpenLineColor, marketOpenLineType, marketOpenLineThickness, enableCustomTimePositionLine, customTime, customTimeLineColor, customTimeLineType, customTimeLineThickness);
		}

	}
}

#endregion
